org.codehaus.plexus.component.discovery

## Interface ComponentDiscovererManager

All Known Implementing Classes:
  DefaultComponentDiscovererManager

    public interface ComponentDiscovererManager

### Method Summary

Methods
`void` `fireComponentDiscoveryEvent(ComponentDiscoveryEvent event)`
`List` `getComponentDiscoverers()`
`List` `getListenerDescriptors()`
`void` `initialize()`
`void` `registerComponentDiscoveryListener(ComponentDiscoveryListener listener)`
`void` `removeComponentDiscoveryListener(ComponentDiscoveryListener listener)`

### Method Detail

#### getComponentDiscoverers

    List getComponentDiscoverers()

#### registerComponentDiscoveryListener

    void registerComponentDiscoveryListener(ComponentDiscoveryListener listener)

#### removeComponentDiscoveryListener

    void removeComponentDiscoveryListener(ComponentDiscoveryListener listener)

#### fireComponentDiscoveryEvent

    void fireComponentDiscoveryEvent(ComponentDiscoveryEvent event)

#### initialize

    void initialize()

#### getListenerDescriptors

    List getListenerDescriptors()